CVE-2019-17115

CVE-2019-17115

Multiple cross-site scripting (XSS) vulnerabilities in WiKID 2FA Enterprise Server through 4.2.0-b2047 allow remote attackers to inject arbitrary web script or HTML that is triggered when Logs.jsp is visited. The rendered_message column is retrieved and displayed, unsanitized, on Logs.jsp. A remote attack can populate the rendered_message column with malicious values via: (1) H parameter to /wikid/servlet/com.wikidsystems.server.GetDomainHash (2) S parameter to: – /wikid/DomainData – /wikid/PreRegisterLookup – /wikid/PreRegister – /wikid/InitDevice – /wikid/servlet/InitDevice2S – /wikid/servlet/InitDevice3S – /servlet/com.wikidsystems.server.InitDevice2S – /servlet/com.wikidsystems.server.InitDevice3S – /servlet/com.wikidsystems.server.InitDevice4S – /wikid/servlet/com.wikidsystems.server.InitDevice4AES – /wikid/servlet/com.wikidsystems.server.InitDevice5AES (3) a parameter to: – /wikid/PreRegisterLookup – /wikid/InitDevice – /wikid/servlet/InitDevice2S – /wikid/servlet/InitDevice3S – /servlet/com.wikidsystems.server.InitDevice2S – /servlet/com.wikidsystems.server.InitDevice3S – /servlet/com.wikidsystems.server.InitDevice4S – /wikid/servlet/com.wikidsystems.server.InitDevice4AES – /wikid/servlet/com.wikidsystems.server.InitDevice5AES.

Source: CVE-2019-17115

댓글 남기기

이메일은 공개되지 않습니다. 필수 입력창은 * 로 표시되어 있습니다

Time limit is exhausted. Please reload the CAPTCHA.